<?php

// Enforce https on production
if ($_SERVER['HTTP_X_FORWARDED_PROTO'] == "http" && $_SERVER['REMOTE_ADDR'] != '127.0.0.1') {
  header("Location: https://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"]);
  exit();
}

/**
 * This sample app is provided to kickstart your experience using Facebook's
 * resources for developers.  This sample app provides examples of several
 * key concepts, including authentication, the Graph API, and FQL (Facebook
 * Query Language). Please visit the docs at 'developers.facebook.com/docs'
 * to learn more about the resources available to you
 */

// Provides access to Facebook specific utilities defined in 'FBUtils.php'
require_once('FBUtils.php');
// Provides access to app specific values such as your app id and app secret.
// Defined in 'AppInfo.php'
require_once('AppInfo.php');
// This provides access to helper functions defined in 'utils.php'
require_once('utils.php');


?>

<!-- This following code is responsible for rendering the HTML   -->
<!-- content on the page.  Here we use the information generated -->
<!-- in the above requests to display content that is personal   -->
<!-- to whomever views the page.  You would rewrite this content -->
<!-- with your own HTML content.  Be sure that you sanitize any  -->
<!-- content that you will be displaying to the user.  idx() by  -->
<!-- default will remove any html tags from the value being      -->
<!-- and echoEntity() will echo the sanitized content.  Both of  -->
<!-- these functions are located and documented in 'utils.php'.  -->
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">

    <!-- We get the name of the app out of the information fetched -->
    <title><?php echo(idx($app_info, 'name')) ?></title>
    <link rel="stylesheet" href="stylesheets/screen.css" media="screen">

    <!-- These are Open Graph tags.  They add meta data to your  -->
    <!-- site that facebook uses when your content is shared     -->
    <!-- over facebook.  You should fill these tags in with      -->
    <!-- your data.  To learn more about Open Graph, visit       -->
    <!-- 'https://developers.facebook.com/docs/opengraph/'       -->
    <meta property="og:title" content=""/>
    <meta property="og:type" content=""/>
    <meta property="og:url" content=""/>
    <meta property="og:image" content=""/>
    <meta property="og:site_name" content=""/>
    <?php echo('<meta property="fb:app_id" content="' . AppInfo::appID() . '" />'); ?>
    <script>
      function popup(pageURL, title,w,h) {
        var left = (screen.width/2)-(w/2);
        var top = (screen.height/2)-(h/2);
        var targetWin = window.open(
          pageURL,
          title,
          'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no, width='+w+', height='+h+', top='+top+', left='+left
          );
      }
    </script>

    <!--[if IE]>
      <script>
        var tags = ['header', 'section'];
        while(tags.length)
          document.createElement(tags.pop());
      </script>
    <![endif]-->
  </head>
  <body>

    <section id="get-started">
	<div style="float:left; margin-right:15px;"><img src="images/logo.png" alt="Boom Visibility"/></div>
	  <div class="fb-like" style="float:right; margin-left:22px; " data-href="https://www.facebook.com/BoomVisibility" data-send="true" data-layout="box_count" data-width="60" data-show-faces="false"></div>
	<p class="larger">Do you not like us or something?</p>
	<p>Here is what you can expect<br/> from our Facebook Page</p>
	<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=233122110101136";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>


</section>
<section id="samples" class="clearfix">
<img src="images/looking.png" alt="analysing the search results" style="float:right;"/>
<h2>1. Search Marketing</h2>
<p>How to generate more leads from your website</p>
<h2>2. Local Business Listings</h2>
<p>How to create and manage Local Business Listings<br/> like Google Places and Yelp</p>
<h2>3. Facebook</h2>
<p>Tips and tricks like how to make a page like this one</p>
<h2>4. Wordpress</h2>
<p>How to get the most out of your Wordpress website</p>
<h2>5. Shameless self promotion</h2>
<p>What we are working on, why we are awesome etc.</p><br/>
<p class="larger">Don't believe us? Visit <a href="http://www.boomvisibility.com/blog/">our Blog</a></p><br/>
<hr/>
<div style="width:90%; margin:0 auto;">
<a href="http://www.boomvisibility.com"><img src="/images/bvislogo.png" alt="Boom Visibility" style="float:left; margin-right:30px;"/></a>
<p>Your customers are out there, they just cant find you. We offer website design and marketing that will make you "like us" in real life too.</p>
</div>

</section>

  </body>
</html>
